require 'spec_helper'

describe CloudFormer do
  describe ".type_to_class" do
    it "returns the class for the given resource type" do
      klass = CloudFormer.type_to_class('ec2.security_group')
      expect(klass).to be(CloudFormer::EC2::SecurityGroup)
    end

    it "is nil for non-Resource constants" do
      expect(CloudFormer.type_to_class('ec2.mount_point')).to be_nil
    end

    it "is nil for rubbish" do
      expect(CloudFormer.type_to_class('rubbish')).to be_nil
    end
  end
end
