require 'spec_helper'

describe 'Outputs' do

  let(:template) { CloudFormer::Template.new }

  describe 'with a literal output' do
    before do
      template.add_output('Hack', 12356)
    end

    it 'should produce awesome json' do
      expect(template.dump_json['Outputs']).to eq({ "Hack" => { "Value" => 12356 } })
    end
  end

  describe 'with a parameter output' do

    let(:param) { CloudFormer::StringParameter.new('ack') }

    before do
      template.add_output('Hack', param)
    end

    it 'should work with a ref' do
      expect(template.dump_json['Outputs']).to eq({ "Hack" => { "Value" => { 'Ref' => 'ack' } } })
    end
  end
end
