require 'spec_helper'

describe CloudFormer::Parameter do

  let(:param) { CloudFormer::StringParameter.new('woot') }

  it 'should be a string' do
    expect(param.type).to eq('String')
  end

  it 'should produce awesome json' do
    expect(param.dump_json).to eq({"Type" => "String"})
  end

  describe 'when fully initialized' do

    let(:param) do
      CloudFormer::NumberParameter.new('booya') do
        default 12
        description 'This is an amazing number'
      end
    end

    it 'should have taken the type' do
      expect(param.type).to eq('Number')
    end

    it 'should have taken the description' do
      expect(param.description).to eq('This is an amazing number')
    end

    it 'should have taken the default' do
      expect(param.default).to eq(12)
    end

    it 'should produce awesome json' do
      expect(param.dump_json).to eq({
        "Type" => "Number",
        "Default" => 12,
        "Description" => "This is an amazing number"
      })
    end

  end

end
