require 'spec_helper'

describe CloudFormer::EFS::FileSystem do
  it "should generate correct json" do
    fs = CloudFormer::EFS::FileSystem.new('file_system') do
      file_system_tags :list do
        entry do
          key 'Name'
          value 'TestFileSystem'
        end
      end
    end

    expect(fs.dump_json).to eq({
      "Type" => "AWS::EFS::FileSystem",
      "Properties" => {
        "FileSystemTags" => [
          {
            "Key" => "Name",
            "Value" => "TestFileSystem",
          },
        ]
      }
    })
  end
end
