require 'spec_helper'

describe CloudFormer::EFS::MountTarget do
  it "should generate correct json" do
    fs = CloudFormer::EFS::MountTarget.new('mount_target') do
      file_system_id 'fs-123'
      subnet_id 'subnet-123'
      security_groups ['sg-123', 'sg-456']
    end

    expect(fs.dump_json).to eq({
      "Type" => "AWS::EFS::MountTarget",
      "Properties" => {
        "FileSystemId"=> "fs-123",
        "SubnetId" => "subnet-123",
        "SecurityGroups" => ["sg-123", "sg-456"],
      }
    })
  end
end
